/*
	JkMemoWrite.h

	Author		: Kang, Jul Ki
	E-mail		: jkkang65@hanmail.net
	Homepage	: http://jkkang.net/
	Last Update	: April 24th, 2010

	Compiler: Visual C++ 6.0 & gcc 2.7.2 or higher
	Tab Size: 8
	
	Copyleft (c) 2010, Kang, Jul Ki
*/

#ifndef __JkMemoWrite_h_
#define __JkMemoWrite_h_

#include "qDecoder.h"
#include "JkMemo.h"
#include "JkMemoMain.h"
#include <time.h>
#include <string.h>

/**
 * This class is used for Main Routine.
 */
class JkMemoWrite
{
	JkMemoMain*	m_pJkMemoMain;
	DbArticle*	m_pDbArticle;

public:
	JkMemoWrite	(JkMemoMain* pJkMemoMain);
	~JkMemoWrite	();

	void	WriteSave	();
	void	AdminLogin	();
	void	AdminForm	();
	void	AdminSave	();

	void	RemoveForm	();
	void	RemoveSave	();

	void	Run		();
};

#endif	// __JkMemoWrite_h_


